﻿using System;
using System.Collections.Generic;

namespace AsignadorKits_Almex_ML
{
   public class RespuestaFrom
   {
      public string user_id { get; set; }
      public string email { get; set; }
      public string name { get; set; }
   }

   public class RespuestaTo
   {
      public string user_id { get; set; }
      public string email { get; set; }
      public string name { get; set; }
   }

   public class MessageDate
   {
      public DateTime received { get; set; }
      public DateTime available { get; set; }
      public object notified { get; set; }
      public DateTime created { get; set; }
      public object read { get; set; }
   }

   public class MessageModeration
   {
      public string status { get; set; }
      public object reason { get; set; }
      public string source { get; set; }
      public DateTime moderation_date { get; set; }
   }

   public class MessageResource
   {
      public string id { get; set; }
      public string name { get; set; }
   }

   public class clsRespuestaMensajeMercadoLibre
   {
      public string id { get; set; }
      public string site_id { get; set; }
      public long client_id { get; set; }
      public RespuestaFrom from { get; set; }
      public RespuestaTo to { get; set; }
      public string status { get; set; }
      public object subject { get; set; }
      public string text { get; set; }
      public MessageDate message_date { get; set; }
      public MessageModeration message_moderation { get; set; }
      public object message_attachments { get; set; }
      public List<MessageResource> message_resources { get; set; }
      public bool conversation_first_message { get; set; }
   }
}
